Loading...
Searching...
No Matches
Opm::FIPConfig Class Reference

Class holding FIP configuration from RPTSOL/RPTSCHED keyword. More...

`#include <FIPConfig.hpp>`

## Public Types

enum class | OutputField { FIELD = 0 , FIPNUM = 1 , FIP = 2 , FOAM_FIELD = 3 , FOAM_REGION = 4 , POLYMER_FIELD = 5 , POLYMER_REGION = 6 , RESV = 7 , SOLVENT_FIELD = 8 , SOLVENT_REGION = 9 , TEMPERATURE_FIELD = 10 , TEMPERATURE_REGION = 11 , SURF_FIELD = 12 , SURF_REGION = 13 , TRACER_FIELD = 14 , TRACER_REGION = 15 , VE = 16 , NUM_FIP_REPORT = 17 }
| Enumeration of FIP report outputs. More...

## Public Member Functions

| FIPConfig ()=default
| Default constructor.
| FIPConfig (const Deck &deck)
| Construct from RPTSOL keyword if deck holds one.
| FIPConfig (const DeckKeyword &keyword)
| Construct from given keyword (RPTSOL or RPTSCHED).
| FIPConfig (const RPTConfig &rptConfig)
| Construct from given RTPConfig.
template<class Serializer>
void | serializeOp (Serializer &serializer)
| (De-)serialization handler.
bool | output (OutputField field) const
| Query if FIP output is enabled for a given field.
bool | operator== (const FIPConfig &rhs) const
| Comparison operator.

## Static Public Member Functions

static FIPConfig | serializationTestObject ()
| Returns a test object used for serialization tests.

## Detailed Description

Class holding FIP configuration from RPTSOL/RPTSCHED keyword.

## Member Enumeration Documentation

## OutputField

enum class Opm::FIPConfig::OutputField

strong

Enumeration of FIP report outputs.

Enumerator
FIELD | Whole field.
FIPNUM | FIPNUM regions.
FIP | FIP defined regions.
FOAM_FIELD | Foam field report.
FOAM_REGION | Foam region report.
POLYMER_FIELD | Polymer field report.
POLYMER_REGION | Polymer region report.
RESV | RESV report.
SOLVENT_FIELD | Solvent field report.
SOLVENT_REGION | Solvent region report.
TEMPERATURE_FIELD | Temperature field report.
TEMPERATURE_REGION | Temperature region report.
SURF_FIELD | Surfacant field report.
SURF_REGION | Surfacant region report.
TRACER_FIELD | Tracer field report.
TRACER_REGION | Tracer region report.
VE | VE (oil, water, gas) zone report.
NUM_FIP_REPORT | Number of configuration flags.

The documentation for this class was generated from the following files:

- opm/input/eclipse/EclipseState/IOConfig/FIPConfig.hpp
- opm/input/eclipse/EclipseState/IOConfig/FIPConfig.cpp